> For the complete documentation index, see [llms.txt](https://docs.whiteswan.io/partner-knowledge-base/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.whiteswan.io/partner-knowledge-base/api-documentation/webhooks/new-plan-offered.md).

# New Plan Offered

This event happens when an [offer](/partner-knowledge-base/platform-overview/client-experience/underwriting-and-issuance.md) has been made from the insurer that received an [application](/partner-knowledge-base/platform-overview/client-experience/applications.md). At this point, the client can decide whether they want to get started with the plan or not.

***

**Data Returned by this Event:**

<details>

<summary>Sample Payload</summary>

```json
{
"event_message": "We just finished underwriting for your referral John Doe, and have received an offer from Nationwide. This plans success manager, Oscar Wilde, will now assist the client through the delivery process to put the policy in-force.",
"status": "Offer Received from Insurer",
"client_name": "John Doe",
"client_email": "johndoe@gmail.com",
"client_phone": "(123) 456 7890",
"plan_id": "130981250891",
"original_request_id": "132590815"
}
```

</details>

<table data-full-width="true"><thead><tr><th>Field Label</th><th>Field Key</th><th>Field Type</th><th>Example Value</th><th>Description</th></tr></thead><tbody><tr><td>Event Message</td><td>event_message</td><td>Text</td><td>We just finished underwriting for your referral John Doe, and have received an offer from Nationwide...</td><td>Message detailing the event</td></tr><tr><td>Plan Status</td><td>status</td><td>Text</td><td>Offer Received from Insurer</td><td>Status of the plan</td></tr><tr><td>Client Full Name</td><td>client_name</td><td>Text</td><td>John Doe</td><td>Name of the client</td></tr><tr><td>Client Email</td><td>client_email</td><td>Text</td><td>johndoe@gmail.com</td><td>Email address of the client</td></tr><tr><td>Client Phone Number</td><td>client_phone</td><td>Text</td><td>1234567890</td><td>Phone number of the client</td></tr><tr><td>Plan ID</td><td>plan_id</td><td>Text</td><td>13092581x25015891</td><td>Unique identifier for the plan</td></tr><tr><td>Original Request ID</td><td>original_request_id</td><td>Text</td><td>132535x91530815</td><td>ID of the original plan request</td></tr></tbody></table>


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.whiteswan.io/partner-knowledge-base/api-documentation/webhooks/new-plan-offered.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
